package com.qmth.cet.plug.api;


import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.cet.plug.contant.SystemConstant;
import com.qmth.cet.plug.util.Result;
import com.qmth.cet.plug.util.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.util.Objects;

/**
 * <p>
 * cet外挂接口 前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2025-06-13
 */
@Api(tags = "cet外挂接口Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_CET_PLUG)
@Validated
public class CetPlugController {
    private final static Logger log = LoggerFactory.getLogger(CetPlugController.class);

    @ApiOperation(value = "测试")
    @RequestMapping(value = "/test", method = RequestMethod.GET)
    @ApiResponses({@ApiResponse(code = 200, message = "返回数据", response = Objects.class)})
    @Aac(auth = false)
    public Result test() throws IOException {
        log.info("test is come in");
        return ResultUtil.ok();
    }
}
